<script>
import { Store } from '@/store';
 
export default {
	onLaunch: async function (options) {
		if (options && options.query) {
			uni.setStorageSync('inviteCode', options.query.scene);
			console.log('----',uni.getStorageSync('inviteCode'));
		}

		const store = Store();
		await store.usersGetInfo();
	},
	onShow: function (options) {
		uni.setStorageSync('inviteCode', options.query.scene);
		console.log('App Show');
	},
	onHide: function () {
		console.log('App Hide');
	}
};
</script>

<style lang="scss">
/*每个页面公共css */
@import '@/uni_modules/uni-scss/index.scss';
/* #ifndef APP-NVUE */
@import '@/static/customicons.css';
// 设置整个项目的背景色

@import '@/common/index.scss';

page {
	background-color: #f5f5f5;
}

/* #endif */
.example-info {
	font-size: 14px;
	color: #333;
	padding: 10px;
}
</style>
